using System;
using System.Collections.Generic;
using System.Text;

namespace Shapes
{
    internal class ShapeStorage
    {
        private List<IShape> shapes;
        public ShapeStorage()
        {
            shapes = new List<IShape>();
        }

        public void AddShape(IShape shape)
        {
            shapes.Add(shape);
        }
        public void PrintAll()
        {
            Console.WriteLine("Shapes:");
            foreach (var shape in shapes)
            {
                Console.WriteLine("\t"+shape.GetName());
            }
        }
    }
}
